客服热线:189-2701-5231
登录注册

解决shopex485在IE8、IE9无法下单的问题

发布日期:2013-06-26

论坛里经常见朋友们发IE8、IE9、IE10下点“立即购买”无效的求助帖,还有一些模板使用了火狼的flash轮播在上述浏览器下也无效,诸如此类的问题,都是由于mootools脚本库与这些浏览器的兼容性问题产生的,也算是程序的一个bug吧(shopex485集成了MooTools1.2.4脚本库)。这类问题困扰的,不仅仅是用户,作为设计师也很蛋疼呀!一直祈祷着IE6快点死掉(这老掉牙的东东太烦人了),最直接的,希望不标准备浏览器的典型代表——Internet Explorer 都统统死掉呀,这样可以省N倍的设计时间,还可以拥有更多的页面特效!
  
    郁闷归郁闷,客户的需求还是不能不管的,谁让IE的用户量第一呢?前些天收集整理了解决shopex485在ie8/9/10下js不兼容的方法,现在分享给大家,希望能帮到大家。

  方法一:提升MooToos JS版本

使用方法:
1、备份statics/script下的tools.js文件,
2、将修正了的tools.js替换原文件(将statics目录覆盖上传即可);
3、本补丁适用于用在shopex4.8.5/易开店,其它版本请根据附件说明中的思路和方法改进。

下载文件

方法二:强制开启IE9的兼容模式,让它使用IE7兼容模式浏览网页。

操作方法:
       编辑你当前使用的模板,在【模板文件管理】里,找到block下的header.html文件,在<head>后面紧接着插入如下代码:
      <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
       切记不要将这行代码放在其它位置,一定要保证位于<{header}>这个smarty标签前面,否则无效。


       亲们:如果此方法有效,别忘了顶帖支持和转发哦!

工作时间:早9:00—晚上21:00   24H售后:13829351575  服务QQ:292480793  392478192  售后技术QQ:156461982
地址:广东河源市龙川新城开发区5号小区 龙川商耀网络科技有限公司 备案号:粤ICP备15012952号-1
Copyright © 2005-2015 (www.shopsy.cn) All Rights Reserved
在线时间
9:00-22:00